org.eclipse.jgit.api

## Class LsRemoteCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<T>
  - - org.eclipse.jgit.api.TransportCommand<LsRemoteCommand,Collection<Ref>>
    - - org.eclipse.jgit.api.LsRemoteCommand

All Implemented Interfaces:
  Callable<Collection<Ref>>

    public class LsRemoteCommand
    extends TransportCommand<LsRemoteCommand,Collection<Ref>>

The ls-remote command

See Also:
  Git documentation about ls-remote

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.TransportCommand

`credentialsProvider, timeout, transportConfigCallback`

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
Constructor and Description
`LsRemoteCommand(Repository repo)`

### Method Summary

Methods
`Collection<Ref>` `call()` Executes the `LsRemote` command with all the options and parameters collected by the setter methods (e.g.
`LsRemoteCommand` `setHeads(boolean heads)` Include refs/heads in references results
`LsRemoteCommand` `setRemote(String remote)` The remote (uri or name) used for the fetch operation.
`LsRemoteCommand` `setTags(boolean tags)` Include refs/tags in references results
`LsRemoteCommand` `setUploadPack(String uploadPack)` The full path of git-upload-pack on the remote host

### Methods inherited from class org.eclipse.jgit.api.TransportCommand

`configure, configure, self, setCredentialsProvider, setTimeout, setTransportConfigCallback`

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LsRemoteCommand

    public LsRemoteCommand(Repository repo)

Parameters:
  `repo` - local repository or null for operation without local repository

### Method Detail

#### setRemote

    public LsRemoteCommand setRemote(String remote)

The remote (uri or name) used for the fetch operation. If no remote is set, the default value of `Constants.DEFAULT_REMOTE_NAME` will be used.

Parameters:
  `remote` -
Returns:
  `this`
See Also:
  `Constants.DEFAULT_REMOTE_NAME`

#### setHeads

    public LsRemoteCommand setHeads(boolean heads)

Include refs/heads in references results

Parameters:
  `heads` -
Returns:
  `this`

#### setTags

    public LsRemoteCommand setTags(boolean tags)

Include refs/tags in references results

Parameters:
  `tags` -
Returns:
  `this`

#### setUploadPack

    public LsRemoteCommand setUploadPack(String uploadPack)

The full path of git-upload-pack on the remote host

Parameters:
  `uploadPack` -
Returns:
  `this`

#### call

    public Collection<Ref> call()
                         throws GitAPIException,
                                InvalidRemoteException,
                                TransportException

Executes the `LsRemote` command with all the options and parameters collected by the setter methods (e.g. `setHeads(boolean)`) of this class. Each instance of this class should only be used for one invocation of the command. Don't call this method twice on an instance.

Specified by:
  `call` in interface `Callable<Collection<Ref>>`
Specified by:
  `call` in class `GitCommand<Collection<Ref>>`
Returns:
  a collection of references in the remote repository
Throws:
  `InvalidRemoteException` - when called with an invalid remote uri
  `TransportException` - for errors that occurs during transport
  `GitAPIException` - or subclass thereof when an error occurs